Name:		oxygen-gtk
Version:	1.0.0
Release:	3%{?dist}
Summary:	Oxygen GTK theme

Group:		User Interface/Desktops
License:	GPLv2+
URL:		https://projects.kde.org/projects/playground/artwork/oxygen-gtk	
Source0:	ftp://ftp.kde.org/pub/kde/stable/oxygen-gtk/%{version}/src/oxygen-gtk-%{version}.tar.bz2
# Fixed in git: kde bug 261971:
Patch0:		oxygencomboboxdata-fix.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	cmake
BuildRequires:	gtk2-devel

%description
Oxygen-Gtk is a port of the default KDE widget theme (Oxygen), to gtk.

It's primary goal is to ensure visual consistency between gtk-based and
qt-based applications running under KDE. A secondary objective is to also
have a stand-alone nice looking gtk theme that would behave well on other
Desktop Environments.

Unlike other attempts made to port the KDE oxygen theme to gtk, this
attempt does not depend on Qt (via some Qt to Gtk conversion engine), 
nor does render the widget appearance via hard-coded pixmaps, which 
otherwise breaks every time some setting is changed in KDE.


%prep
%setup -q

%patch0 -p 1

%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/gtk-2.0/*/engines/liboxygen-gtk.so
%{_datadir}/themes/oxygen-gtk/


%changelog
* Wed Jan 05 2011 Magnus Tuominen <magnus.tuominen@gmail.com> - 1.0.0-3
- patch oxygen combobox, taken from git. kde bug #261971
 
* Mon Jan 03 2011 Rex Dieter <rdieter@fedoraproject.org> - 1.0.0-2
- drop extraneous BR: cairo-devel

* Sun Dec 12 2010 Rex Dieter <rdieter@fedoraproject.org> -  1.0.0-1
- first try




